Package org.eclipse.birt.chart.computation.withaxes

# Class HorizontalAxisAdjuster

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.HorizontalAxisAdjuster

All Implemented Interfaces:
  `IAxisAdjuster`

public class HorizontalAxisAdjuster extends Object implements IAxisAdjuster
The class is used to adjust the location and scale of one horizontal axis.

Since:
  2.5

## Constructor Summary

Constructors
Constructor
Description
`HorizontalAxisAdjuster(OneAxis horizontalAxis, OneAxis verticalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`

## Method Summary

Modifier and Type
Method
Description
`void`
`adjust()`
Adjust axis(axes) scale and location.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HorizontalAxisAdjuster

public HorizontalAxisAdjuster(OneAxis horizontalAxis, OneAxis verticalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)

## Method Details

### adjust

public void adjust() throws ChartException
Description copied from interface: `IAxisAdjuster`
Adjust axis(axes) scale and location.

Specified by:
  `adjust` in interface `IAxisAdjuster`
Throws:
  `ChartException`